Home » Apps » Maps & Navigation » Yandex.Maps
Yandex.Maps

Yandex.Maps

9.7.3 for Android
4.8/5
20 Review(s)
Yandex.Maps
Yandex.Maps
Yandex.Maps
Yandex.Maps
Yandex.Maps
Yandex.Maps
Yandex.Maps
Yandex.Maps

The description of Yandex.Maps

Search for an address or the best places nearby even when you’re offline. Yandex.Maps gives you more information about businesses, helps you find your way to places using transport or on foot, and shows the location of transport on a route in real time.
Search for and select locations:
• The largest organization database and filters to refine your search.
• Detailed information: contacts, hours of operation, services provided, photos, and reviews.
• Floor plans to find your way around Moscow’s major shopping malls.
• Search for places and addresses without an internet connection (offline maps).
• View saved locations on different devices.
Get directions:
• On foot, including passageways between buildings and walking paths.
• On public transport, with information about scheduled arrival at a stop.
• By bike, with road types, crossings, and warnings about vehicle roadways.
• By car, with navigation that takes account of the traffic situation, and warnings about cameras.
Transport mode:
• Real-time location of buses, trams, trolleybuses, and minibuses is shown on the map.
• Important transportation facilities such as stops and metro stations are highlighted.
• Option to display only selected routes on the map.
• Moving transport tags are shown on the maps of major cities like Moscow, Saint Petersburg, Novosibirsk, Nizhny Novgorod, Krasnodar, Voronezh, Ufa, and Samara.
Driving directions:
• Optimal routes for avoiding traffic, with different route options displayed on the map.
• Navigator with voice prompts along the route.
• Speed camera, speed limit, and speeding notifications.
• Real-time updates on traffic, road accidents, speed radar, and more.
• Offline maps to download for use without an internet connection.

What's new

Category:
Latest Version:
9.7.3
Publish Date:
2020-11-25
Get it on:
Requirements:
Android 5.0+ (Lollipop, API 21)
Report:
Flag as inappropriate